package com.renitha.Model;

import android.os.Parcel;
import android.os.Parcelable;

import com.google.gson.annotations.SerializedName;

public class ImageSenderInfo {


    @SerializedName("ticket_id")
    private String ticket_id;

    public ImageSenderInfo() {
    }

    public ImageSenderInfo(String ticket_id) {
        this.ticket_id = ticket_id;
    }

    public final static Parcelable.Creator<ImageSenderInfo> CREATOR = new Parcelable.Creator<ImageSenderInfo>() {

        @SuppressWarnings({
                "unchecked"
        })
        public ImageSenderInfo createFromParcel(Parcel in) {
            ImageSenderInfo instance = new ImageSenderInfo();
            instance.ticket_id = ((String) in.readValue((String.class.getClassLoader())));

            return instance;
        }

        public ImageSenderInfo[] newArray(int size) {
            return (new ImageSenderInfo[size]);
        }

    };


    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(ticket_id);
    }

    public int describeContents() {
        return  0;
    }
}
